Profile Business
curl --request POST \
--url https://devapi.withedge.co/gateway/api/v1/customer/profile/business \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'requestId: <requestid>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"otherName": "<string>",
"email": "<string>",
"phone": "<string>",
"salutation": "<string>",
"gender": "<string>",
"dateOfBirth": "<string>",
"bvn": "<string>",
"nationality": "<string>",
"address": {
"address": "<string>",
"street": "<string>",
"localGovernment": "<string>",
"city": "<string>",
"country": "<string>"
},
"businessName": "<string>",
"countryOfResidence": "<string>",
"dateOfIncorporation": "<string>",
"taxId": "<string>",
"stateOfResidence": "<string>",
"stateOfRegistration": "<string>",
"rcNumber": "<string>",
"directorFullName": "<string>",
"directorBvn": "<string>",
"directorIdDocumentType": "<string>",
"directorIdDocumentNumber": "<string>",
"directorPoliticalAffiliationRelationship": "<string>",
"shareholderShareholderBvn": "<string>",
"shareholderPercentShareholder": "<string>",
"shareholderIdDocumentType": "<string>",
"shareholderIdDocumentNumber": "<string>",
"shareholderPoliticalAffiliationRelationship": "<string>"
}
'import requests
url = "https://devapi.withedge.co/gateway/api/v1/customer/profile/business"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"otherName": "<string>",
"email": "<string>",
"phone": "<string>",
"salutation": "<string>",
"gender": "<string>",
"dateOfBirth": "<string>",
"bvn": "<string>",
"nationality": "<string>",
"address": {
"address": "<string>",
"street": "<string>",
"localGovernment": "<string>",
"city": "<string>",
"country": "<string>"
},
"businessName": "<string>",
"countryOfResidence": "<string>",
"dateOfIncorporation": "<string>",
"taxId": "<string>",
"stateOfResidence": "<string>",
"stateOfRegistration": "<string>",
"rcNumber": "<string>",
"directorFullName": "<string>",
"directorBvn": "<string>",
"directorIdDocumentType": "<string>",
"directorIdDocumentNumber": "<string>",
"directorPoliticalAffiliationRelationship": "<string>",
"shareholderShareholderBvn": "<string>",
"shareholderPercentShareholder": "<string>",
"shareholderIdDocumentType": "<string>",
"shareholderIdDocumentNumber": "<string>",
"shareholderPoliticalAffiliationRelationship": "<string>"
}
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
otherName: '<string>',
email: '<string>',
phone: '<string>',
salutation: '<string>',
gender: '<string>',
dateOfBirth: '<string>',
bvn: '<string>',
nationality: '<string>',
address: {
address: '<string>',
street: '<string>',
localGovernment: '<string>',
city: '<string>',
country: '<string>'
},
businessName: '<string>',
countryOfResidence: '<string>',
dateOfIncorporation: '<string>',
taxId: '<string>',
stateOfResidence: '<string>',
stateOfRegistration: '<string>',
rcNumber: '<string>',
directorFullName: '<string>',
directorBvn: '<string>',
directorIdDocumentType: '<string>',
directorIdDocumentNumber: '<string>',
directorPoliticalAffiliationRelationship: '<string>',
shareholderShareholderBvn: '<string>',
shareholderPercentShareholder: '<string>',
shareholderIdDocumentType: '<string>',
shareholderIdDocumentNumber: '<string>',
shareholderPoliticalAffiliationRelationship: '<string>'
})
};
fetch('https://devapi.withedge.co/gateway/api/v1/customer/profile/business', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statuscode": "00",
"message": "Customer successfully profiled",
"data": {
"customerId": "7120739910",
}
"errors": [],
}
Customer
Profile Business
This endpoint enables you to profile a business.
POST
/
customer
/
profile
/
business
Profile Business
Profile Business
Use this endpoint to profile a business by providing detailed business and personal information.Request Parameters
string
required
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9string
required
The first name of the customer.
Example:
Example:
Johnstring
required
The last name of the customer.
Example:
Example:
Doestring
required
Any other names of the customer.
Example:
Example:
Michaelstring
required
The customer’s email address.
Example:
Example:
john.doe@example.comstring
required
The customer’s phone number.
Example:
Example:
08012345678string
required
The salutation of the customer.
Example:
Example:
Mrstring
required
The gender of the customer.
Example:
Example:
Malestring
required
The customer’s date of birth in
Example:
YYYY-MM-DD format.Example:
1980-01-01string
required
The customer’s Bank Verification Number.
Example:
Example:
12345678901string
required
The nationality of the customer.
Example:
Example:
NGAobject
required
string
required
The address details of the customer.
Example:
Example:
123 Main Streetstring
required
The street of the address.
Example:
Example:
Main Streetstring
required
The local government of the address.
Example:
Example:
Ikejastring
required
The city of the address.
Example:
Example:
Lagosstring
required
The country of the address.
Example:
Example:
NGAstring
required
The name of the business.
Example:
Example:
Doe Enterprisesstring
required
The country where the business resides.
Example:
Example:
NGAstring
required
The date the business was incorporated in
Example:
YYYY-MM-DD format.Example:
2020-01-01string
required
The tax identification number of the business.
Example:
Example:
TX12345string
required
The state where the business resides.
Example:
Example:
Lagosstring
required
The state where the business is registered.
Example:
Example:
Ogunstring
required
The RC (Registration Certificate) number of the business.
Example:
Example:
RC12345string
required
The full name of the director.
Example:
Example:
John Doestring
required
The BVN of the director.
Example:
Example:
98765432101string
required
The ID document type of the director (e.g., CAC).
Example:
Example:
CACstring
required
The ID document number of the director.
Example:
Example:
ID12345string
required
The political affiliation relationship of the director.
Example:
Example:
Nonestring
required
The BVN of the shareholder.
Example:
Example:
12345678901string
required
The percentage of shares held by the shareholder.
Example:
Example:
10string
required
The ID document type of the shareholder (e.g., CAC).
Example:
Example:
CACstring
required
The ID document number of the shareholder.
Example:
Example:
ID67890string
required
The political affiliation relationship of the shareholder.
Example:
Example:
None{
"statuscode": "00",
"message": "Customer successfully profiled",
"data": {
"customerId": "7120739910",
}
"errors": [],
}
Was this page helpful?
⌘I